Subject: IfHasValidationError ViewHelper

Description

to cope with the practice done by common CSS frameworks where a specific form field's parent element must/should have a
particular error CSS class, | suggest introducing a ViewHelper which then will be used like
1<div class="row {f:form.ifHasValidationError(property: 'some.emailAddress’, then: 'has-error')}"><input...></div>

Associated revisions

Revision c4d4db3a - 2013-12-04 14:40 - Adrian Foder

[FEATURE] Introduce Validation.lfHasErrors ViewHelper

This allows to check whether validation errors adhere
to the current request, or if there is such an error

for a particular property path.

Change-Id: 1538cb1d9e25d5525784f26a5ec3346a6eb36751a
Resolves: #54196
Releases: master

Revision 49dfdbe5 - 2013-12-06 18:29 - Adrian Féder

[TASK] Move f:form.validationResults view helper to f:validation.results

Moves the validationResults ViewHelper to the ““validation™ namespace
for consistency reasons.

If you use this ViewHelper you should update your Fluid templates from::
<f:form.validationResults>...</f:form.validationResults>

to::

<f:validation.results></f:validation.results>
Change-Id: 194baa5df6c5164368c327e23385afe61e5e689a1

Related: #54196
Releases: master

History

#1 - 2013-12-04 13:34 - Adrian Foder

| come up with a proposal additionally, could this go into a "Validation™ sub-namespace like

<f:form.validation.ifHasError property="some.email" />
In the future, the current ValidationResults VH could be moved into that NS, too.

#2 - 2013-12-04 13:36 - Bastian Waidelich

Adrian Foder wrote:

I come up with a proposal additionally, could this go into a "Validation™ sub-namespace like
In the future, the current ValidationResults VH could be moved into that NS, too.

I like the idea of moving it, but it should not be in "form" IMO, but:

<f:validation.results />

<f:validation.hasErrors />

BTW: The "property" argument should be optional

#3 - 2013-12-04 13:36 - Philipp Maier

+1 That would even work without breaking anything.

#4 - 2013-12-04 13:37 - Adrian Foder

Bastian good point because when again thinking about it it's not even bound to any form; the stuff is stored in the request, so it's quite correct!

#5 - 2013-12-04 14:42 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.

It is available at https://review.typo3.0rg/25949

#6 - 2013-12-04 16:42 - Adrian Foder

the moved validation.results ViewHelper changeset is here: https:/review.typo3.org/#/c/25953/

#7 - 2013-12-07 12:36 - Adrian Foder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c4d4db3afcfb4fbc3a4b66b3c4c14813929f34df.
